using System;
using Server;

namespace Server.Items
{
	[Furniture]
	public class IronCandelabraStand : BaseLight
	{
		public override int LitItemID{ get { return 0x06F8; } }
		public override int UnlitItemID{ get { return 0x06F7; } }

		[Constructable]
		public IronCandelabraStand() : base( 0x06F7 )
		{
			Name = "candelbra stand";
			Duration = TimeSpan.Zero;
			Burning = false;
			Light = LightType.Circle225;
			Weight = 20.0;
		}

		public IronCandelabraStand( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}